#include <iostream>

using namespace std;

long long maks(long long a[], long long l, long long d)
{
    long long najv=0,ind;
    for(int i=l
        ; i<d; i++)
    {
        if(a[i]>=najv)
        {
            najv=a[i];
            ind=i;
        }
    }
    return ind;
}

int main()
{
    long long n;
    cin>>n;
    long long a[n];
    for(int i=0; i<n; i++)
        cin>>a[i];
    if(n==2)
        cout<<a[1]<<" "<<a[0];
    else
    {
        bool promena=false;
        long long ind;
        for(int i=0; i<n; i++)
        {
            ind=maks(a,i,n);
            if(ind!=i)
            {
                long long pom=a[i];
                a[i]=a[ind];
                a[ind]=pom;
                i=n;
                promena=true;
            }
            if(i==n-1 && !promena)
            {
                long long pom=a[i-1];
                a[i-1]=a[i];
                a[i]=pom;
            }
        }
        for(int i=0; i<n; i++)
            cout<<a[i]<<" ";
    }
}